Bug 94847 - RTL Page order
Summary: RTL Page order
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL Writer-Styles-Page-Odd-Even
  Show dependency treegraph
 
Reported: 2015-10-07 08:03 UTC by Jonathan Joseph Chiarella
Modified: 2018-11-10 03:51 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (8.42 KB, application/vnd.oasis.opendocument.text)
2017-11-09 11:43 UTC, Omer Zak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Joseph Chiarella 2015-10-07 08:03:58 UTC
When writing with Format->Page set to Left to Right, the first page (odd, #1) is the "Right page".*

However, when Format->Page is set to Right to Left, the first page (odd, #1) is labelled "Right page" and acts as such when mirrored page margins are set. (I.e. The outer margin is on the right for the right pages).

In RTL books the first page is on the Left. You open a book ("from the back"). The cover is on the left side. You unfurl it to the right. Turn the page again. Now there is the Title Page, the first page, the odd page, the #1 page, on the LEFT. I know of no way to fix this. Adding an additional Title Page a dummy page does not change this.

I could tell the page numbers to start at 2 or 4 to offset the odd/even problem. But then I have to think backwards whenever I set inner/outer margins in a mirrored setup and text alignment in headers and footers.

Oh, and also it makes booklet printouts impossible.

Please fix

*(That it is displayed on the left on two-page view is a minor annoyance. The first two pages should be just grey on the left and the first page, #1, should be displayed on the right)
Comment 1 Jonathan Joseph Chiarella 2015-10-07 08:06:30 UTC
Edit for missing words: Adding an additional Title Page to act as a dummy page does not change this.
Comment 2 Jonathan Joseph Chiarella 2015-10-07 09:54:47 UTC
Also for Vertical Up-Down then RTL in addition to horizontal layout RTL
Comment 3 Buovjaga 2015-10-08 17:00:58 UTC
labelled "Right page" -> how can I display this?
Comment 4 Jonathan Joseph Chiarella 2015-10-14 17:49:05 UTC
There are several ways.

One is to create a header and have it be NOT same on left and right.

Now hover mouse over the header on the first page.

It says right page.

As I wrote, in RTL contexts orvertical then RTL contexts, page 1 is on the left.

Then you turn the page/open the booklet etc

Now you have page 2 on right andpage 3 on left.

In Fornat-> Page if I change the page order direction, the first page does NOT change it should.

As proof,now set the page margins to mirrored. Set an outer margin of 10 cm.

The outer margin on the first page is now a 10cm on the right side. The only way the outer margin could be on the right sideof the first page is if the first page is indeed set to be, incorrectly here, the rightside page.

I finally noticed the book view mode toggle (next to multipage view). the pages are displayed side by side in pairs. The page order in display and joining of inner margins shows that Libreoffice is behaving wrong.

In RTL page flow direction, page 1 is a single page on the right or is the front cover of a closed booklet/pamphlet. Opening the pamphlet/turning the page will then reveal the first pair of page faces. The backside of page 1 is page 2 and is now on the right side. Page 3 is part of a new sheetof paper. Page 3 ison the left side.

LTR book

Nothing - Page 1 (or front cover)
Page 2 - Page 3
Page 4 - Page 5
Page 6 - Page 7
Page 8 (or back cover) - Nothing


RTL book (this is what it SHOULD be)

Page 1 (or front cover) - Nothing
Page 3 - Page 2
Page 5 - Page 4
Page 7 - Page 6
Nothing - Page 8 (or back cover)
Comment 5 Jonathan Joseph Chiarella 2015-10-14 17:53:07 UTC
To see page display as pop-up.

Have multiple pages. Having 8 pages of text will give you the feel of a book.

Format -> Page (right to left)

Insert -> header

Fornat -> Page -> Header tab

Same content on left and right UNCHECK.

Okay

Move screen focus to first page.

Move mouse to where footer is.

Stop.

Read blue pop-up. It says "Header (Right page)
Comment 6 Buovjaga 2015-10-14 17:56:27 UTC
Don't have time to test today, so let's keep it as unconfirmed before someone else tests.
Comment 7 Jonathan Joseph Chiarella 2015-10-14 17:58:45 UTC
Sorry. Typing on smart phone screent. Made some misclicks rrying tozoom
Comment 8 Buovjaga 2015-10-16 19:08:11 UTC
Thanks, I confirm.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)

Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 9 QA Administrators 2016-11-08 11:07:35 UTC Comment hidden (obsolete)
Comment 10 Omer Zak 2017-11-09 11:43:37 UTC
Created attachment 137639 [details]
Test file

This file has 4 pages, with mirrored pages.
The outer margin is very large to make it easy to see the bug.
Comment 11 Omer Zak 2017-11-09 11:49:58 UTC
I tested in the following version:

Version: 6.0.0.0.alpha1+
Build ID: 6070dec9ca9a15587a2aece81f9ae1ab5ac0f8c4
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group
(Build from 2017-Nov-05 00:00)

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)



Format -> Page in this version is:

Format > Page... > Page
And you set:
  Page layout - Mirrored
  Outer margin - 4.00"

The Test direction control affects the text direction in the pages rather than the "page mirroring" i.e. page 1 stays at the right side, page 2 stays at the left side, etc.

I found no way to set "page mirroring" so that page 1 is at the left side as needed by RTL books.

It seems to me that there is a confusion over terminology, much like the confusion that used to exist among paragraph justification and paragraph major text directionality.
Comment 12 QA Administrators 2018-11-10 03:51:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug